Skip to main content

Delete packet template

DELETE
/packet-constructor/templates/{id}

Soft-deletes the packet template from the shared library. Tasks that hold a copy of the template keep working.

Contract

Parameter
Value
Sectionpacket-constructor
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesintegerTemplate ID

Responses

5 responses

Status
Description
Type
200
Template deletedno body
400
Invalid IDobject
401
Unauthorizedobject
404
Template not foundobject
500
Internal server errorobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }